svn::Targets Class Reference

`#include <targets.hpp>`

## Public Member Functions

| Targets (const PathVector &targets)
| Targets (const apr_array_header_t *targets)
| Targets (const char *target=0)
| Targets (const Targets &targets)
virtual | ~Targets ()
const apr_array_header_t * | array (const Pool &pool) const
const PathVector & | targets () const
size_t | size () const
| operator const PathVector & () const
const Path | target () const
void | push_back (const Path &path)
void | clear ()
void | reserve (size_t size)

## Detailed Description

Encapsulation for Subversion target arrays handling

## Constructor & Destructor Documentation

svn::Targets::Targets | ( | const PathVector & | targets | ) |

Constructor

Parameters

  targets | vector of paths

svn::Targets::Targets | ( | const apr_array_header_t * | targets | ) |

Constructor from an APR array containing char *.

Parameters

  targets | APR array header

svn::Targets::Targets | ( | const char * | target = `0` | ) |

Constructor. Initializes list with just one entry

Parameters

  target |

svn::Targets::Targets | ( | const Targets & | targets | ) |

Copy Constructor

Parameters

  targets | Source

virtual svn::Targets::~Targets | ( |  | ) |

virtual

Destructor

## Member Function Documentation

const apr_array_header_t* svn::Targets::array | ( | const Pool & | pool | ) | const

Returns an apr array containing char *.

Parameters

  pool | Pool used for conversion

void svn::Targets::clear | ( |  | ) |

clears all entries

Referenced by operator const PathVector &().

svn::Targets::operator const PathVector & | ( |  | ) | const

inline

operator to return the vector

Returns
  vector with targets

References clear(), push_back(), reserve(), and target().

void svn::Targets::push_back | ( | const Path & | path | ) |

adds a Path to the existing entries

Remarks
  you have to make sure the path is unique

Referenced by operator const PathVector &().

void svn::Targets::reserve | ( | size_t | size | ) |

reserve the size for following calls to push_back

Referenced by operator const PathVector &().

size_t svn::Targets::size | ( |  | ) | const

Returns
  the number of targets

const Path svn::Targets::target | ( |  | ) | const

returns one single target. in fact, the first in the vector, it there are more than one. if there is no target returns an empty path

Returns
  single path

Referenced by operator const PathVector &().

const PathVector& svn::Targets::targets | ( |  | ) | const

Returns a vector of paths

Returns
  vector of paths

The documentation for this class was generated from the following file:

- targets.hpp